Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Interface QAbstractStyleFactoryInterface

All Superinterfaces:
  QAbstractFactoryInterface, QtJambiInterface

All Known Implementing Classes:
  QAbstractStyleFactory, QStylePlugin

    public interface QAbstractStyleFactoryInterface

extends QtJambiInterface, QAbstractFactoryInterface

Method Summary
`long` | `__qt_cast_to_QAbstractStyleFactory(long ptr)` This method is internal to Qt Jambi.
`QStyle` | `create(java.lang.String key)` Creates and returns a `QStyle` object for the given style `key`.
`java.util.List<java.lang.String>` | `keys()` Returns the list of style keys this plugin supports.

Methods inherited from interface com.trolltech.qt.core.QAbstractFactoryInterface
`__qt_cast_to_QAbstractFactory`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### create

    QStyle create(java.lang.String key)

  Creates and returns a `QStyle` object for the given style `key`.

  The style key is usually the class name of the required style. Note that the keys are case insensitive. For example:

          List<String> keys()
          {
              List<String> keyList = new Vector<String>();
              keyList.add("Rocket");
              keyList.add("StarBuster");

              return keyList;
          }

          QStyle create(String key)
          {
              String lcKey = key;

              if (lcKey.equals("rocket")) {
                  return new RocketStyle();
              } else if (lcKey.equals("starbuster")) {
                  return new StarBusterStyle();
              }
              return null;

          }

See also:
  `keys()`.

### keys

    java.util.List<java.lang.String> keys()

  Returns the list of style keys this plugin supports.

  These keys are usually the class names of the custom styles that are implemented in the plugin.

See also:
  `create()`.

  Specified by:
    `keys` in interface `QAbstractFactoryInterface`

### __qt_cast_to_QAbstractStyleFactory

    long __qt_cast_to_QAbstractStyleFactory(long ptr)

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

E>.

### keys

    java.util.List<java.lang.String> keys()

  Returns the list of style keys this plugin supports.

  These keys are usually the class names of the custom styles that are implemented in the plugin.

See also:
  `create()`.

  Specified by:
    `keys` in interface `QAbstractFactoryInterface`

### __qt_cast_to_QAbstractStyleFactory

    long __qt_cast_to_QAbstractStyleFactory(long ptr)

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index |